﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using AuthLiteTokenProfileManager.Code.Helpers;
using TPMCommon;

namespace AuthLiteTokenProfileManager.Code.Mocks
{
    // to use, add under <appSettings>:
    //<add key="IdentityHelperClassName" value="AuthLiteTokenProfileManager.Code.Mocks.MockIdentityHelper, AuthLiteTokenProfileManager" />

    public class MockIdentityHelper : IIdentityHelper
    {
        public Collective.AuthLite.AccessControl.AccessCheckStatus CheckAccess(string domain, string username)
        {
            return Collective.AuthLite.AccessControl.AccessCheckStatus.AccessGranted;
        }

        public System.Security.Principal.WindowsIdentity LogonUser(string domain, string username, string pw)
        {
            return System.Security.Principal.WindowsIdentity.GetCurrent();
        }

        public bool RevertToSelf()
        {
            return true;
        }


        public void ChangePassword(string domain, string username, string oldPassword, string newPassword)
        {
            throw new NotImplementedException();
        }

        public void Configure(Collective.Configuration.IConfiguration config)
        {
            
        }
    }
}