﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace AuthLiteTokenProfileManager.Models
{
    public class DomainSelectionFormModel
    {

        private string domain;
        private SelectList domainOptions;
        private string userName;

        [Required(ErrorMessage = "Domain is required.")]
        [DisplayName("Domain")]
        public string Domain
        {
            get { return domain; }
            set { domain = value; }
        }

        public SelectList DomainOptions
        {
            get { return domainOptions; }
            set { domainOptions = value; }
        }

        [Required(ErrorMessage = "Username is required.")]
        [DisplayName("Username")]
        public string UserName
        {
            get { return userName; }
            set { userName = value; }
        }

    }
}