﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace AuthLiteTokenProfileManager.Models
{
	public class LoginPasswordFormModel
	{
        public LoginPasswordFormModel()
        {
            this.Password = new PasswordFormModel();
        }
        [DisplayName("Username")]
        public string User{get;set;}

        public PasswordFormModel Password { get; set; }
	}

    public class LoginPasswordAndOtpFormModel : LoginPasswordFormModel
    {
        [DisplayName("YubiKey or OATH Passcode")]
		[Required(ErrorMessage = "Please enter your passcode.")]
		public string Passcode{get;set;}
    }
}