﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace AuthLiteTokenProfileManager.Models
{
    public class NewPasswordFormModel 
    {
        [DisplayName("New Password")]
        [Required(ErrorMessage = "New Password is required.")]
        [PasswordPropertyText(true)]
        public string NewPassword { get; set; }

        [DisplayName("Confirm Password")]
        [Required(ErrorMessage = "Confirm Password is required.")]
        [Compare("NewPassword", ErrorMessage="Passwords do not match")]
        [PasswordPropertyText(true)]
        public string ConfirmPassword { get; set; }
    }
}