﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace AuthLiteTokenProfileManager.Code.Constants
{
	public static class Constants
	{
		public const string DOMAIN = "domain";
		public const string USERNAME = "username";
        public const string PASSWORD = "password";
        public const string CACHEOTP = "cacheotp";
        public const string WAS_AUTHLITE_USER = "wasauthliteuser";
        public const string WINDOWS_IDENTITY = "windowsidentity";
        public const string LAST_ERROR = "lasterror";

        public const string OATH_DESCRIPTION = "oathdescription";
        public const string OATH_ISSUER = "oathissuer";
        public const string OATH_SECRET = "oathsecret";
        public const string OATH_ONLINE = "oathonline";

        public const string USERPIN_ENABLED = "UserPinsEnabled";
        public const string USERPIN_REGEX = "UserPinValidationRegex";
        public const string USERPIN_MESSAGE = "UserPinValidationMessage";
        public const string BOOTSTRAP_SETTING = "AddUsersToNewUsersGroup";
        public const string OATHINTERVAL_SETTING = "OathIntervalSeconds";
        public const string OATH_DESCRIPTION_FORMAT = "OathDescriptionFormat";
        public const string OATH_ISSUER_FORMAT = "OathIssuerFormat";
        public const string PERMITTED_GROUP_SETTING = "PermittedGroupSID";
        public const string AFTER_BOOTSTRAP_GOTO = "AfterBootstrapGoTo";
        public const string SANITY_CHECK_S4UCACHE = "SanityCheckS4UCache";
        public const string ALWAYS_USE_1F_LOGONS = "AlwaysUse1FLogons";
        public const string PROVISION_AS_USER = "ProvisionAsUser";
        public const string DETECT_BY_TOKENS = "DetectByTokens";
        public const string OPERATIONS_CLASS_NAME = "OperationsClassName";
        public const string IDENTITY_HELPER_CLASS_NAME = "IdentityHelperClassName";
        public const string FREE_DOMAIN_SELECTION = "FreeDomainSelection";
        public const string OATH_ALGORITHM = "OathAlgorithm";
		
        public const string CONTROLLER_MANAGER = "manager";
		public const string CONTROLLER_MAIN = "home";
		public const string CONTROLLER_LOGIN = "login";
		public const string CONTROLLER_ASSIGN = "assign";
		public const string ACTION_MAIN = "index";
		public const string ACTION_MAIN_SESSION_EXPIRED = "sessionexpired";
		public const string ACTION_MANAGER = "index";
		public const string ACTION_ASSIGN = "index";
		public const string ACTION_ASSIGN_OATH = "assignoathtoken";
		public const string ACTION_ASSIGN_OATH_AND_PIN = "assignoathtokenandpin";
		public const string ACTION_OATH_QR = "oathqrcode";
		public const string ACTION_ASSIGN_YUBIKEY = "assignyubikey";
		public const string ACTION_ASSIGN_YUBIKEY_AND_PIN = "assignyubikeyandpin";

	}
}