﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Collective.AuthLite.Protocol;
using TPMCommon;

namespace AuthLiteTokenProfileManager.Code.Mocks
{
    // to use, add under <appSettings>:
    //<add key="OperationsClassName" value="AuthLiteTokenProfileManager.Code.Mocks.MockOperations, AuthLiteTokenProfileManager" />
    
    public class MockOperations : IAuthLiteOperations
    {
        public void DisableToken(string domain, string username, string tokenId)
        {
            
        }

        public Collective.AuthLite.Protocol.AuthLiteIsAuthLiteUserStatus IsAuthLiteUser(string domain)
        {
            return Collective.AuthLite.Protocol.AuthLiteIsAuthLiteUserStatus.No;
        }

        public bool IsAuthLiteUser(string domain, string username)
        {
            return false;
        }

        public List<Collective.AuthLite.Protocol.AuthLiteToken> ListTokens(string domain, string username)
        {
            return new List<Collective.AuthLite.Protocol.AuthLiteToken>();
        }

        public void ProvisionOATH(string domain, string username, string password, string description, byte[] secret, ushort interval, bool online, bool bootstrap, AuthLiteTokenAlgorithm algorithm)
        {
            
        }

        public void ProvisionYubiKey(string domain, string username, string password, string otp, bool bootstrap)
        {
            
        }

        public void SetUserPin(string domain, string username, string pin)
        {
            
        }


        public string GetPartitionSetting(string domain, string settingName, string defaultValue)
        {
            throw new NotImplementedException();
        }

        public void Configure(Collective.Configuration.IConfiguration config)
        {
            
        }


        public void ProvisionYubiKey(string domain, string username, string password, uint serial, byte[] publicId, byte[] aes, byte[] cr, bool bootstrap)
        {
        }
    }
}