﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace AuthLiteTokenProfileManager.Models
{
    public class FreeDomainSelectionFormModel
    {

        private string domainAndUserName;

        [Required(ErrorMessage = "Please enter Domain\\Username to continue.")]
        [RegularExpression(@".+\\.+", ErrorMessage = "Please enter the domain name, then a \"\\\" then your username")]
        [DisplayName("Domain\\Username")]
        public string DomainAndUserName
        {
            get { return domainAndUserName; }
            set { domainAndUserName = value; }
        }

    }
}